wake-up-neo.com

import pandas führt zu ModuleNotFoundError: _lzma

Unter Ubuntu 18.04 mit python 3.7.3) versuche ich, pandas] zu importieren, aber dies schlägt fehl, weil _lzma Nicht gefunden werden kann.

Ich habe überprüft, dass _lzma Mit dpkg installiert ist:

/usr/lib/python3.7/lib-dynload/_lzma.cpython-37m-x86_64-linux-gnu.so. Seltsamerweise ist _lzma keine Abhängigkeit von pandas (wie von pip3 angegeben).

Ich bin heute auf genau dasselbe Problem gestoßen! Ich konnte es jedoch beheben.

Pandas haben gerade eine neue Version veröffentlicht 0.25.0 am 18. Juli und Ändern der Version zurück zu 0.24.2 hat dieses Problem für mich behoben.

Ich hoffe das funktioniert auch bei dir!

link: https://pandas.pydata.org/

17
alex s

Ich habe das gleiche Problem mit pyenv. Sie müssen pandas nicht zurücksetzen.

Um Importfehler zu beheben, habe ich Python entfernt:

$ pyenv uninstall 3.7.1

Installierte Abhängigkeiten:

$ Sudo apt-get install liblzma-dev

und neu installierte Version:

$ pyenv install 3.7.1

Mehr zu diesen Abhängigkeiten hier

9
kiba

gerade auf Version 0.25.1 aktualisiert und funktioniert gut

0
Gonza Piotti